## r-cran-spatstat.random 2.1

=== DESCRIPTION ===
Package: spatstat.random
Version: 2.1-0
Date: 2022-02-12
Title: Random Generation Functionality for the 'spatstat' Family
Authors@R: c(person("Adrian", "Baddeley", 
                    role = c("aut", "cre"),
       	            email = "Adrian.Baddeley@curtin.edu.au"),
	     person("Rolf", "Turner", 
                    role = "aut",
 	            email="r.turner@auckland.ac.nz"),
	     person("Ege",   "Rubak", 
                    role = "aut",
		    email = "rubak@math.aau.dk"),
	     person("Kasper", "Klitgaard Berthelsen",
	            role = "ctb"),
	     person("Tilman", "Davies",
	            role = "ctb"),
	     person("Ute", "Hahn",
	            role = "ctb"),
	     person("Abdollah", "Jalilian", 
	            role = "ctb"),
	     person("Dominic", "Schuhmacher",
	            role = "ctb"),
	     person("Rasmus", "Plenge Waagepetersen",
	            role = "ctb"))
Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
Depends: R (>= 3.5.0), spatstat.data (>= 2.1-0), spatstat.geom (>=
        2.3-0), stats, utils, methods, grDevices
Imports: spatstat.utils (>= 2.2-0)
Suggests: spatial, RandomFields (>= 3.1.24.1), RandomFieldsUtils(>=
        0.3.3.1), spatstat.linnet (>= 2.0-0), spatstat.core (>= 2.3-2),
        spatstat (>= 2.0-0)
Description: Functionality for random generation of spatial data in the 'spatstat' family of packages.
	     Generates random spatial patterns of points according to many simple rules (complete spatial randomness,
	     Poisson, binomial, random grid, systematic, cell), randomised alteration of patterns
	     (thinning, random shift, jittering),  simulated realisations of random point processes
	     (simple sequential inhibition, Matern inhibition models, Matern cluster process,
	     Neyman-Scott cluster processes, log-Gaussian Cox processes, product shot noise cluster processes)
	     and simulation of Gibbs point processes (Metropolis-Hastings birth-death-shift algorithm,
	     alternating Gibbs sampler). Also generates random spatial patterns of line segments,
	     random tessellations, and random images (random noise, random mosaics).
	     Excludes random generation on a linear network,
	     which is covered by the separate package 'spatstat.linnet'.
License: GPL (>= 2)
URL: http://spatstat.org/
NeedsCompilation: yes
ByteCompile: true
BugReports: https://github.com/spatstat/spatstat.random/issues
Packaged: 2022-02-12 10:07:06 UTC; adrian
Author: Adrian Baddeley [aut, cre],
  Rolf Turner [aut],
  Ege Rubak [aut],
  Kasper Klitgaard Berthelsen [ctb],
  Tilman Davies [ctb],
  Ute Hahn [ctb],
  Abdollah Jalilian [ctb],
  Dominic Schuhmacher [ctb],
  Rasmus Plenge Waagepetersen [ctb]
Repository: CRAN
Date/Publication: 2022-02-12 10:50:02 UTC

## r-cran-spatstat.random 2.1-0

=== debian/changelog ===
r-cran-spatstat.random (2.1-0-2) unstable; urgency=medium

  * Source-only upload.

 -- Nilesh Patra <nilesh@debian.org>  Thu, 24 Feb 2022 17:40:54 +0530

r-cran-spatstat.random (2.1-0-1) unstable; urgency=medium

  * Initial release (closes: #1005695)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 13 Feb 2022 18:56:52 +0530

=== debian/control ===
Source: r-cran-spatstat.random
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Nilesh Patra <nilesh@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-spatstat.data (>= 2.1-0),
               r-cran-spatstat.geom (>= 2.3-0),
               r-cran-spatstat.utils (>= 2.2-0)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.random
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.random.git
Homepage: https://cran.r-project.org/package=spatstat.random
Rules-Requires-Root: no

Package: r-cran-spatstat.random
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Random Generation Functionality for the 'spatstat' Family
 Functionality for random generation of spatial data in the 'spatstat'
 family of packages. Generates random spatial patterns of points
 according to many simple rules (complete spatial randomness, Poisson,
 binomial, random grid, systematic, cell), randomised alteration of
 patterns (thinning, random shift, jittering), simulated realisations of
 random point processes (simple sequential inhibition, Matern inhibition
 models, Matern cluster process, Neyman-Scott cluster processes, log-
 Gaussian Cox processes, product shot noise cluster processes) and
 simulation of Gibbs point processes (Metropolis-Hastings birth-death-
 shift algorithm, alternating Gibbs sampler). Also generates random
 spatial patterns of line segments, random tessellations, and random
 images (random noise, random mosaics). Excludes random generation on a
 linear network, which is covered by the separate package
 'spatstat.linnet'.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

execute_after_dh_fixperms:
	find debian/ -name CITATION -o -name '*.txt' -o -name '*.Rd' | xargs chmod -x

## r-cran-spatstat.random 2.2-0

=== debian/changelog ===
r-cran-spatstat.random (2.2-0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 25 May 2022 11:34:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: r-cran-spatstat.random
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Nilesh Patra <nilesh@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.random
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.random.git
+Homepage: https://cran.r-project.org/package=spatstat.random
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-spatstat.data (>= 2.1-0),
-               r-cran-spatstat.geom (>= 2.3-0),
+               r-cran-spatstat.geom (>= 2.4-0),
                r-cran-spatstat.utils (>= 2.2-0)
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.random
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.random.git
-Homepage: https://cran.r-project.org/package=spatstat.random
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-spatstat.random
 Architecture: any

## r-cran-spatstat.random 3.0-1

=== debian/changelog ===
r-cran-spatstat.random (3.0-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 15 Nov 2022 20:35:23 +0100

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-spatstat.data (>= 2.1-0),
-               r-cran-spatstat.geom (>= 2.4-0),
-               r-cran-spatstat.utils (>= 2.2-0)
+               r-cran-spatstat.data (>= 2.2-0.003),
+               r-cran-spatstat.geom (>= 2.4-0.023),
+               r-cran-spatstat.utils (>= 2.3-1.003)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-spatstat.random

## r-cran-spatstat.random 3.1

=== DESCRIPTION ===
Package: spatstat.random
Version: 3.1-3
Date: 2023-01-25
Title: Random Generation Functionality for the 'spatstat' Family
Authors@R: c(person("Adrian", "Baddeley", 
                    role = c("aut", "cre"),
       	            email = "Adrian.Baddeley@curtin.edu.au",
		    comment = c(ORCID="0000-0001-9499-8382")),
	     person("Rolf", "Turner", 
                    role = "aut",
 	            email="r.turner@auckland.ac.nz",
		    comment=c(ORCID="0000-0001-5521-5218")),
	     person("Ege",   "Rubak", 
                    role = "aut",
		    email = "rubak@math.aau.dk",
		    comment=c(ORCID="0000-0002-6675-533X")),
	     person("Kasper", "Klitgaard Berthelsen",
	            role = "ctb"),
	     person("Ya-Mei", "Chang",
	            role = "ctb",
		    email = "yamei628@gmail.com"),
	     person("Tilman", "Davies",
	            role = "ctb"),
	     person("Ute", "Hahn",
	            role = "ctb"),
	     person("Abdollah", "Jalilian", 
	            role = "ctb"),
	     person("Dominic", "Schuhmacher",
	            role = "ctb"),
	     person("Rasmus", "Plenge Waagepetersen",
	            role = "ctb"))
Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
Depends: R (>= 3.5.0), spatstat.data (>= 3.0), spatstat.geom (>=
        3.0-5), stats, utils, methods, grDevices
Imports: spatstat.utils (>= 3.0)
Suggests: spatial, RandomFields (>= 3.1.24.1), RandomFieldsUtils (>=
        0.3.3.1), spatstat.linnet (>= 3.0), spatstat.explore,
        spatstat.model, spatstat (>= 3.0)
Additional_repositories: https://spatstat.r-universe.dev
Description: Functionality for random generation of spatial data in the 'spatstat' family of packages.
	     Generates random spatial patterns of points according to many simple rules (complete spatial randomness,
	     Poisson, binomial, random grid, systematic, cell), randomised alteration of patterns
	     (thinning, random shift, jittering),  simulated realisations of random point processes including
	     simple sequential inhibition, Matern inhibition models, Neyman-Scott cluster processes
	     (using direct, Brix-Kendall, or hybrid algorithms),
	     log-Gaussian Cox processes, product shot noise cluster processes
	     and Gibbs point processes (using Metropolis-Hastings birth-death-shift algorithm,
	     alternating Gibbs sampler, or coupling-from-the-past perfect simulation).
	     Also generates random spatial patterns of line segments,
	     random tessellations, and random images (random noise, random mosaics).
	     Excludes random generation on a linear network,
	     which is covered by the separate package 'spatstat.linnet'.
License: GPL (>= 2)
URL: http://spatstat.org/
NeedsCompilation: yes
ByteCompile: true
BugReports: https://github.com/spatstat/spatstat.random/issues
Packaged: 2023-01-25 02:01:40 UTC; adrian
Author: Adrian Baddeley [aut, cre] (<https://orcid.org/0000-0001-9499-8382>),
  Rolf Turner [aut] (<https://orcid.org/0000-0001-5521-5218>),
  Ege Rubak [aut] (<https://orcid.org/0000-0002-6675-533X>),
  Kasper Klitgaard Berthelsen [ctb],
  Ya-Mei Chang [ctb],
  Tilman Davies [ctb],
  Ute Hahn [ctb],
  Abdollah Jalilian [ctb],
  Dominic Schuhmacher [ctb],
  Rasmus Plenge Waagepetersen [ctb]
Repository: CRAN
Date/Publication: 2023-01-25 10:20:01 UTC

## r-cran-spatstat.random 3.1-3

=== debian/changelog ===
r-cran-spatstat.random (3.1-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jan 2023 15:11:27 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.random
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.random.git
 Homepage: https://cran.r-project.org/package=spatstat.random
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-spatstat.data (>= 2.2-0.003),
-               r-cran-spatstat.geom (>= 2.4-0.023),
-               r-cran-spatstat.utils (>= 2.3-1.003)
+               r-cran-spatstat.data (>= 3.0),
+               r-cran-spatstat.geom (>= 3.0-5),
+               r-cran-spatstat.utils (>= 3.0)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-spatstat.random

## r-cran-spatstat.random 3.1-5

=== debian/changelog ===
r-cran-spatstat.random (3.1-5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 27 Jun 2023 16:43:32 +0200

## r-cran-spatstat.random 3.2

=== DESCRIPTION ===
Package: spatstat.random
Version: 3.2-2
Date: 2023-11-29
Title: Random Generation Functionality for the 'spatstat' Family
Authors@R: c(person("Adrian", "Baddeley", 
                    role = c("aut", "cre", "cph"),
       	            email = "Adrian.Baddeley@curtin.edu.au",
		    comment = c(ORCID="0000-0001-9499-8382")),
	     person("Rolf", "Turner", 
                    role = c("aut", "cph"),
 	            email="rolfturner@posteo.net",
		    comment=c(ORCID="0000-0001-5521-5218")),
	     person("Ege",   "Rubak", 
                    role = c("aut", "cph"),
		    email = "rubak@math.aau.dk",
		    comment=c(ORCID="0000-0002-6675-533X")),
	     person("Tilman", "Davies",
	            role = c("aut", "cph"),
		    comment=c(ORCID="0000-0003-0565-1825")),
	     person("Kasper", "Klitgaard Berthelsen",
	            role = c("ctb", "cph")),
	     person("David", "Bryant",
	            role = c("ctb", "cph")),
	     person("Ya-Mei", "Chang",
	            role = c("ctb", "cph"),
		    email = "yamei628@gmail.com"),
	     person("Ute", "Hahn",
	            role = "ctb"),
	     person("Abdollah", "Jalilian", 
	            role = "ctb"),
	     person("Dominic", "Schuhmacher",
	            role = c("ctb", "cph")),
	     person("Rasmus", "Plenge Waagepetersen",
	            role = c("ctb", "cph")))
Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
Depends: R (>= 3.5.0), spatstat.data (>= 3.0), spatstat.geom (>=
        3.2-1), stats, utils, methods, grDevices
Imports: spatstat.utils (>= 3.0-2)
Suggests: spatial, spatstat.linnet (>= 3.0), spatstat.explore,
        spatstat.model, spatstat (>= 3.0), gsl
Description: Functionality for random generation of spatial data in the 'spatstat' family of packages.
	     Generates random spatial patterns of points according to many simple rules (complete spatial randomness,
	     Poisson, binomial, random grid, systematic, cell), randomised alteration of patterns
	     (thinning, random shift, jittering),  simulated realisations of random point processes including
	     simple sequential inhibition, Matern inhibition models, Neyman-Scott cluster processes
	     (using direct, Brix-Kendall, or hybrid algorithms),
	     log-Gaussian Cox processes, product shot noise cluster processes
	     and Gibbs point processes (using Metropolis-Hastings birth-death-shift algorithm,
	     alternating Gibbs sampler, or coupling-from-the-past perfect simulation).
	     Also generates random spatial patterns of line segments,
	     random tessellations, and random images (random noise, random mosaics).
	     Excludes random generation on a linear network,
	     which is covered by the separate package 'spatstat.linnet'.
License: GPL (>= 2)
URL: http://spatstat.org/
NeedsCompilation: yes
ByteCompile: true
BugReports: https://github.com/spatstat/spatstat.random/issues
Packaged: 2023-11-29 04:09:42 UTC; adrian
Author: Adrian Baddeley [aut, cre, cph]
    (<https://orcid.org/0000-0001-9499-8382>),
  Rolf Turner [aut, cph] (<https://orcid.org/0000-0001-5521-5218>),
  Ege Rubak [aut, cph] (<https://orcid.org/0000-0002-6675-533X>),
  Tilman Davies [aut, cph] (<https://orcid.org/0000-0003-0565-1825>),
  Kasper Klitgaard Berthelsen [ctb, cph],
  David Bryant [ctb, cph],
  Ya-Mei Chang [ctb, cph],
  Ute Hahn [ctb],
  Abdollah Jalilian [ctb],
  Dominic Schuhmacher [ctb, cph],
  Rasmus Plenge Waagepetersen [ctb, cph]
Repository: CRAN
Date/Publication: 2023-11-29 07:00:02 UTC

## r-cran-spatstat.random 3.2-2

=== debian/changelog ===
r-cran-spatstat.random (3.2-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 09:32:36 +0100

r-cran-spatstat.random (3.2-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 24 Oct 2023 10:01:50 +0200

r-cran-spatstat.random (3.1-6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 12 Sep 2023 07:04:30 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                dh-r,
                r-base-dev,
                r-cran-spatstat.data (>= 3.0),
-               r-cran-spatstat.geom (>= 3.0-5),
-               r-cran-spatstat.utils (>= 3.0)
+               r-cran-spatstat.geom (>= 3.2-1),
+               r-cran-spatstat.utils (>= 3.0-2)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-spatstat.random

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-spatial,
        r-cran-spatstat.linnet (>= 3.0),
        r-cran-spatstat.explore,
        r-cran-spatstat.model,
        r-cran-spatstat (>= 3.0),
        r-cran-gsl
Restrictions: allow-stderr

## r-cran-spatstat.random 3.2-3

=== debian/changelog ===
r-cran-spatstat.random (3.2-3-1) unstable; urgency=medium

  * Drop Nilesh from Uploaders and add myself instead (Thanks to Nilesh for
    al his work)
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 19 May 2024 16:23:39 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Nilesh Patra <nilesh@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.random
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.random.git
 Homepage: https://cran.r-project.org/package=spatstat.random
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-spatstat.data (>= 3.0),
-               r-cran-spatstat.geom (>= 3.2-1),
+               r-cran-spatstat.geom (>= 3.2-9),
                r-cran-spatstat.utils (>= 3.0-2)
 Testsuite: autopkgtest-pkg-r

## r-cran-spatstat.random 3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: spatstat.random
-Version: 3.2-2
-Date: 2023-11-29
+Version: 3.3-3
+Date: 2025-03-19
 Title: Random Generation Functionality for the 'spatstat' Family
 Authors@R: c(person("Adrian", "Baddeley", 
                     role = c("aut", "cre", "cph"),
@@ -33,11 +33,12 @@
 	     person("Rasmus", "Plenge Waagepetersen",
 	            role = c("ctb", "cph")))
 Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
-Depends: R (>= 3.5.0), spatstat.data (>= 3.0), spatstat.geom (>=
-        3.2-1), stats, utils, methods, grDevices
-Imports: spatstat.utils (>= 3.0-2)
-Suggests: spatial, spatstat.linnet (>= 3.0), spatstat.explore,
-        spatstat.model, spatstat (>= 3.0), gsl
+Depends: R (>= 3.5.0), spatstat.data (>= 3.1), spatstat.univar (>=
+        3.1), spatstat.geom (>= 3.3-6), stats, utils, methods,
+        grDevices
+Imports: spatstat.utils (>= 3.1-2)
+Suggests: spatial, spatstat.linnet (>= 3.2), spatstat.explore,
+        spatstat.model, spatstat (>= 3.3), gsl
 Description: Functionality for random generation of spatial data in the 'spatstat' family of packages.
 	     Generates random spatial patterns of points according to many simple rules (complete spatial randomness,
 	     Poisson, binomial, random grid, systematic, cell), randomised alteration of patterns
@@ -56,7 +57,7 @@
 NeedsCompilation: yes
 ByteCompile: true
 BugReports: https://github.com/spatstat/spatstat.random/issues
-Packaged: 2023-11-29 04:09:42 UTC; adrian
+Packaged: 2025-03-19 01:01:12 UTC; adrian
 Author: Adrian Baddeley [aut, cre, cph]
     (<https://orcid.org/0000-0001-9499-8382>),
   Rolf Turner [aut, cph] (<https://orcid.org/0000-0001-5521-5218>),
@@ -70,4 +71,4 @@
   Dominic Schuhmacher [ctb, cph],
   Rasmus Plenge Waagepetersen [ctb, cph]
 Repository: CRAN
-Date/Publication: 2023-11-29 07:00:02 UTC
+Date/Publication: 2025-03-19 03:40:02 UTC

## r-cran-spatstat.random 3.3-3

=== debian/changelog ===
r-cran-spatstat.random (3.3-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 20 Mar 2025 10:27:21 +0900

r-cran-spatstat.random (3.3-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 31 Jan 2025 16:44:05 +0900

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: r-cran-spatstat.random
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-spatstat.data (>= 3.1),
+               r-cran-spatstat.univar,
+               r-cran-spatstat.geom (>= 3.3-6),
+               r-cran-spatstat.utils (>= 3.1-2)
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.random
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.random.git
 Homepage: https://cran.r-project.org/package=spatstat.random
-Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-spatstat.data (>= 3.0),
-               r-cran-spatstat.geom (>= 3.2-9),
-               r-cran-spatstat.utils (>= 3.0-2)
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-spatstat.random
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-spatial,
        r-cran-spatstat.linnet (>= 3.2),
        r-cran-spatstat.explore,
        r-cran-spatstat.model,
        r-cran-spatstat (>= 3.3),
        r-cran-gsl
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/spatstat.random_([-\d.]*)\.tar\.gz

## r-cran-spatstat.random 3.4-4

=== debian/changelog ===
r-cran-spatstat.random (3.4-4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 13 Feb 2026 11:59:46 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,23 @@
 Source: r-cran-spatstat.random
+Standards-Version: 4.7.3
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders:
+ Andreas Tille <tille@debian.org>,
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-spatstat.data (>= 3.1),
-               r-cran-spatstat.univar,
-               r-cran-spatstat.geom (>= 3.3-6),
-               r-cran-spatstat.utils (>= 3.1-2)
-Standards-Version: 4.7.2
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-r,
+ r-base-dev,
+ r-cran-spatstat.data (>= 3.1-9),
+ r-cran-spatstat.univar,
+ r-cran-spatstat.geom (>= 3.7-0),
+ r-cran-spatstat.utils (>= 3.2-1),
+ r-cran-spatstat.data (>= 3.1),
+ r-cran-spatstat.geom (>= 3.3-6),
+ r-cran-spatstat.utils (>= 3.1-2),
+ architecture-is-64-bit,
+ architecture-is-little-endian,
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.random
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.random.git
 Homepage: https://cran.r-project.org/package=spatstat.random
@@ -19,11 +25,14 @@
 
 Package: r-cran-spatstat.random
 Architecture: any
-Depends: ${R:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends}
-Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Depends:
+ ${R:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends},
+Recommends:
+ ${R:Recommends},
+Suggests:
+ ${R:Suggests},
 Description: Random Generation Functionality for the 'spatstat' Family
  Functionality for random generation of spatial data in the 'spatstat'
  family of packages. Generates random spatial patterns of points

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-spatial,
 r-cran-spatstat.linnet (>= 3.4),
 r-cran-spatstat.explore,
 r-cran-spatstat.model,
 r-cran-spatstat (>= 3.5),
 r-cran-gsl,
 r-cran-spatstat.linnet (>= 3.2),
 r-cran-spatstat (>= 3.3),
